Loading...
Searching...
No Matches
Gfx::UniformLocations Struct Reference

## Public Attributes

GLint | projectionMatrix = -1
| Projection matrix.
GLint | viewMatrix = -1
| View matrix.
GLint | modelMatrix = -1
| Model matrix.
GLint | shadowMatrix = -1
| Shadow matrix.
GLint | normalMatrix = -1
| Normal matrix.
GLint | cameraPosition = -1
| Camera position.
GLint | primaryTexture = -1
| Primary texture sampler.
GLint | secondaryTexture = -1
| Secondary texture sampler.
GLint | shadowTexture = -1
| Shadow texture sampler.
GLint | textureEnabled [3] = {}
| true enables texture
GLint | alphaTestEnabled = -1
| true enables alpha test
GLint | alphaReference = -1
| Alpha test reference value.
GLint | fogEnabled = -1
| true enables fog
GLint | fogRange = -1
| Fog range.
GLint | fogColor = -1
| Fog color.
GLint | shadowColor = -1
| Shadow color.
GLint | shadowTexelSize = -1
| Shadow texel size.
GLint | lightCount = -1
GLint | ambientColor = -1
| Ambient color.
GLint | diffuseColor = -1
| Diffuse color.
GLint | specularColor = -1
| Specular color.
LightLocations | lights [8] = {}

## Member Data Documentation

## projectionMatrix

GLint Gfx::UniformLocations::projectionMatrix = -1

Projection matrix.

## viewMatrix

GLint Gfx::UniformLocations::viewMatrix = -1

View matrix.

## modelMatrix

GLint Gfx::UniformLocations::modelMatrix = -1

Model matrix.

## shadowMatrix

GLint Gfx::UniformLocations::shadowMatrix = -1

Shadow matrix.

## normalMatrix

GLint Gfx::UniformLocations::normalMatrix = -1

Normal matrix.

## cameraPosition

GLint Gfx::UniformLocations::cameraPosition = -1

Camera position.

## primaryTexture

GLint Gfx::UniformLocations::primaryTexture = -1

Primary texture sampler.

## secondaryTexture

GLint Gfx::UniformLocations::secondaryTexture = -1

Secondary texture sampler.

## shadowTexture

GLint Gfx::UniformLocations::shadowTexture = -1

Shadow texture sampler.

## textureEnabled

GLint Gfx::UniformLocations::textureEnabled[3] = {}

true enables texture

## alphaTestEnabled

GLint Gfx::UniformLocations::alphaTestEnabled = -1

true enables alpha test

## alphaReference

GLint Gfx::UniformLocations::alphaReference = -1

Alpha test reference value.

## fogEnabled

GLint Gfx::UniformLocations::fogEnabled = -1

true enables fog

## fogRange

GLint Gfx::UniformLocations::fogRange = -1

Fog range.

## fogColor

GLint Gfx::UniformLocations::fogColor = -1

Fog color.

## shadowColor

GLint Gfx::UniformLocations::shadowColor = -1

Shadow color.

## shadowTexelSize

GLint Gfx::UniformLocations::shadowTexelSize = -1

Shadow texel size.

## ambientColor

GLint Gfx::UniformLocations::ambientColor = -1

Ambient color.

## diffuseColor

GLint Gfx::UniformLocations::diffuseColor = -1

Diffuse color.

## specularColor

GLint Gfx::UniformLocations::specularColor = -1

Specular color.

The documentation for this struct was generated from the following file:

- src/graphics/opengl/glutil.h